C#
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.GetConnectedApp(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.GetConnectedAppParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
ConnectedAppID: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
}
options := &organizations.GetConnectedAppParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.GetConnectedApp(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
package com.example;
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequest;
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetConnectedAppRequest params = new GetConnectedAppRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setConnectedAppId("connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888");
GetConnectedAppRequestOptions options = new GetConnectedAppRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().getConnectedApp(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequest
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.getConnectedApp(
GetConnectedAppRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connectedAppId = "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
),
GetConnectedAppRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.getConnectedApp(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->get_connected_app([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'connected_app_id' => 'connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
from stytch import B2BClient
from stytch.b2b.models.organizations import GetConnectedAppRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.get_connected_app(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id="connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
method_options=GetConnectedAppRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.get_connected_app(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
method_options: StytchB2B::Organizations::GetConnectedAppRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
use stytch::b2b::client::Client;
use stytch::b2b::organizations::GetConnectedAppRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.get_connected_app(
GetConnectedAppRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
curl --request GET \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connected_apps/connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"connected_app_id": "<string>",
"name": "<string>",
"description": "<string>",
"client_type": "<string>",
"active_members": [
{
"member_id": "<string>",
"granted_scopes": [
"<string>"
]
}
],
"status_code": 123,
"logo_url": "<string>"
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Consent Management
Get Connected App Details
Get details about the specified Connected App
GET
/
v1
/
b2b
/
organizations
/
{organization_id}
/
connected_apps
/
{connected_app_id}
C#
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.GetConnectedApp(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &organizations.GetConnectedAppParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
ConnectedAppID: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
}
options := &organizations.GetConnectedAppParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.GetConnectedApp(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
package com.example;
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequest;
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
GetConnectedAppRequest params = new GetConnectedAppRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setConnectedAppId("connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888");
GetConnectedAppRequestOptions options = new GetConnectedAppRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().getConnectedApp(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequest
import com.stytch.java.b2b.models.organizations.GetConnectedAppRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.getConnectedApp(
GetConnectedAppRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connectedAppId = "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
),
GetConnectedAppRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.getConnectedApp(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->get_connected_app([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'connected_app_id' => 'connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
from stytch import B2BClient
from stytch.b2b.models.organizations import GetConnectedAppRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.get_connected_app(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id="connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
method_options=GetConnectedAppRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.get_connected_app(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
method_options: StytchB2B::Organizations::GetConnectedAppRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
use stytch::b2b::client::Client;
use stytch::b2b::organizations::GetConnectedAppRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.get_connected_app(
GetConnectedAppRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
connected_app_id: "connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# GET /v1/b2b/organizations/{organization_id}/connected_apps/{connected_app_id}
curl --request GET \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/connected_apps/connected-app-test-d731954d-dab3-4a2b-bdee-07f3ad1be888 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"connected_app_id": "<string>",
"name": "<string>",
"description": "<string>",
"client_type": "<string>",
"active_members": [
{
"member_id": "<string>",
"granted_scopes": [
"<string>"
]
}
],
"status_code": 123,
"logo_url": "<string>"
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Retrieve information about the specified Connected App as well as a list of the Organization’s Members who have the App installed and the scopes they requested at completion of their last authorization flow with the App.
Authorizations
Headers
Path Parameters
Response
Successful response